View Issue Details

IDProjectCategoryView StatusLast Update
0003553GNUnetGNSpublic2018-06-07 00:25
ReporterdetroutAssigned ToChristian Grothoff 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
PlatformDebian testing + unstableOSLinuxOS Version3.14.15-2
Product Version0.10.1 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0003553: GNS2DNS delegation doesn't seem handle sub-domain requests.
DescriptionI was trying to experiment with delegation and wasn't able to ping a host in a delegated domain.
Steps To Reproduce$ gnunet-namestore -a -z master-zone -n gnunet -t GNS2DNS -V gnunet.org@ns-joker.+ -e 1d
$ gnunet-namestore -a -z master-zone -n ns-joker -t A -V 184.172.157.218 -e 1d
$ ping www.gnunet.gnu
ping: unknown host www.gnunet.gnu
$ ping gnunet.gnu
PING gnunet.gnu (131.159.74.67) 56(84) bytes of data.
$ ping ns-joker.gnu
PING ns-joker.gnu (184.172.157.218) 56(84) bytes of data.
TagsNo tags attached.

Activities

Christian Grothoff

2014-10-20 13:18

manager   ~0008608

This is strange, I just tried to reproduce this and failed (using SVN HEAD):

$ gnunet-namestore -a -z master-zone -n gnunet -t GNS2DNS -V gnunet.org@ns-joker.+ -e 1d
$ gnunet-namestore -a -z master-zone -n ns-joker -t A -V 184.172.157.218 -e 1d
$ gnunet-gns -u www.gnunet.gnu
www.gnunet.gnu:
Got `A' record: 131.159.74.67

(note that I didn't use PING to test GNS resolution, I don't have the GNS NSS plugin installed right now).

Also, in the logs I get (using export GNUNET_FORCE_LOG=";gnunet-service-gns_resolver.c;;;DEBUG"):

Oct 20 13:14:11-822334 gns-1449 DEBUG Starting lookup for `www.gnunet.gnu' with shortening enabled
Oct 20 13:14:11-822431 gns-1449 DEBUG Starting revocation check for zone XQH1H4R288W26EBV369F6RCE0PJVJTX2Y74Q2FJPMPGA31HJX2JG
Oct 20 13:14:11-864006 gns-1449 DEBUG Starting GNS resolution for `gnunet' in zone XQH1H4R288W26EBV369F6RCE0PJVJTX2Y74Q2FJPMPGA31HJX2JG
Oct 20 13:14:11-870969 gns-1449 DEBUG Received result from namecache for label `gnunet'
Oct 20 13:14:11-871119 gns-1449 INFO Resolution succeeded for `gnunet' in zone XQH1H4R288W26EBV369F6RCE0PJVJTX2Y74Q2FJPMPGA31HJX2JG, got 1 records
Oct 20 13:14:11-871166 gns-1449 DEBUG Resolving `ns-joker.+' to determine IP address of DNS server for GNS2DNS transition
Oct 20 13:14:11-871197 gns-1449 DEBUG Starting revocation check for zone XQH1H4R288W26EBV369F6RCE0PJVJTX2Y74Q2FJPMPGA31HJX2JG
Oct 20 13:14:11-871397 gns-1449 DEBUG Starting GNS resolution for `ns-joker' in zone XQH1H4R288W26EBV369F6RCE0PJVJTX2Y74Q2FJPMPGA31HJX2JG
Oct 20 13:14:11-878485 gns-1449 DEBUG Received result from namecache for label `ns-joker'
Oct 20 13:14:11-878603 gns-1449 INFO Resolution succeeded for `ns-joker' in zone XQH1H4R288W26EBV369F6RCE0PJVJTX2Y74Q2FJPMPGA31HJX2JG, got 1 records
Oct 20 13:14:11-878622 gns-1449 DEBUG Returning GNS response for `ns-joker' with 1 answers
Oct 20 13:14:11-878636 gns-1449 DEBUG Received 1 results for IP address of DNS server for GNS2DNS transition
Oct 20 13:14:11-878660 gns-1449 DEBUG Will continue resolution using DNS server `184.172.157.218:53' to resolve `www.gnunet.org'
Oct 20 13:14:11-878680 gns-1449 DEBUG Starting DNS lookup for `www.gnunet.org'
Oct 20 13:14:12-001897 gns-1449 DEBUG Received DNS response for `www.gnunet.org' with 1 answers
Oct 20 13:14:12-001942 gns-1449 DEBUG Doing standard DNS lookup for `gnunet.org'
Oct 20 13:14:12-015266 gns-1449 DEBUG Received 16 bytes of DNS IP data
Oct 20 13:14:12-015305 gns-1449 DEBUG Transmitting standard DNS result with 1 records

This is exactly what I had expected to see. Now, maybe this was fixed after 0.10.1, can you please try again with SVN HEAD?

Christian Grothoff

2014-10-20 20:23

manager   ~0008613

Was fixed in SVN HEAD at some point.

Issue History

Date Modified Username Field Change
2014-10-18 02:02 detrout New Issue
2014-10-18 02:02 detrout Status new => assigned
2014-10-18 02:02 detrout Assigned To => Matthias Wachs
2014-10-18 15:56 Christian Grothoff Assigned To Matthias Wachs => Christian Grothoff
2014-10-20 13:18 Christian Grothoff Note Added: 0008608
2014-10-20 13:18 Christian Grothoff Status assigned => feedback
2014-10-20 20:23 Christian Grothoff Note Added: 0008613
2014-10-20 20:23 Christian Grothoff Status feedback => resolved
2014-10-20 20:23 Christian Grothoff Fixed in Version => 0.11.0pre66
2014-10-20 20:23 Christian Grothoff Resolution open => fixed
2014-10-20 20:23 Christian Grothoff Target Version => 0.11.0pre66
2018-06-07 00:25 Christian Grothoff Status resolved => closed